Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.proxy
Class MBeanProxy

    java.lang.Object
      |
      +--org.huihoo.jfox.proxy.MBeanProxy

public class MBeanProxy
extends java.lang.Object

test whether the MBean obj

Author:
  Young Yang

Constructor Summary
`MBeanProxy()`

Method Summary
`static java.lang.Object` | `createMBean(javax.management.MBeanServer server, javax.management.ObjectName name, java.lang.Object mbeanObj)` Test whether the MBean is registered in the MBeanServer, if not, register it. then , return the MBean Proxy Interface. if the MBean has registered, the method equals getMBeanProxy(MBeanServer server, Object mbeanObj, ObjectName name)
`static java.lang.Object` | `getMBeanProxy(javax.management.MBeanServer server, java.lang.Class mbeanCls, javax.management.ObjectName name)` get the MBean Object's Proxy Object, use the MBeanServer and the ObjectName as InvocationHandler's parameter
`static java.lang.Object` | `getMBeanProxy(javax.management.MBeanServer server, java.lang.Object mbeanObj, javax.management.ObjectName name)` get the MBean Object's Proxy Object, use the MBeanServer and the ObjectName as InvocationHandler's parameter
`static void` | `main(java.lang.String[] args)`
`static void` | `main2()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanProxy

    public MBeanProxy()

Method Detail

### createMBean

    public static java.lang.Object createMBean(javax.management.MBeanServer server,
                                               javax.management.ObjectName name,
                                               java.lang.Object mbeanObj)
                                        throws javax.management.InstanceAlreadyExistsException,
                                               javax.management.MBeanRegistrationException,
                                               javax.management.NotCompliantMBeanException

  Test whether the MBean is registered in the MBeanServer, if not, register it. then , return the MBean Proxy Interface. if the MBean has registered, the method equals getMBeanProxy(MBeanServer server, Object mbeanObj, ObjectName name)
  Parameters:
    `server` -
    `name` -
    `mbeanObj` -
  Returns:
  Throws:
    `InstanceAlreadyExistsException` -
    `MBeanRegistrationException` -
    `NotCompliantMBeanException` -

### getMBeanProxy

    public static java.lang.Object getMBeanProxy(javax.management.MBeanServer server,
                                                 java.lang.Object mbeanObj,
                                                 javax.management.ObjectName name)

  get the MBean Object's Proxy Object, use the MBeanServer and the ObjectName as InvocationHandler's parameter
  Parameters:
    `server` -
    `mbeanObj` - the MBean Object
    `name` -
  Returns:
    MBean's interface Proxy Object

### getMBeanProxy

    public static java.lang.Object getMBeanProxy(javax.management.MBeanServer server,
                                                 java.lang.Class mbeanCls,
                                                 javax.management.ObjectName name)

  get the MBean Object's Proxy Object, use the MBeanServer and the ObjectName as InvocationHandler's parameter
  Parameters:
    `server` -
    `mbeanCls` - MBean Object's class name
    `name` -
  Returns:
    MBean's interface Proxy Object

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

### main2

    public static void main2()
                      throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD